package com.blackshark.gamecenter.sdk.demo.shark;

import android.app.Application;
import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import android.util.Log;

import com.blackshark.gamecenter.sdk.OnInitProcessListener;
import com.blackshark.gamecenter.sdk.SharkOpenPlatform;
import com.blackshark.gamecenter.sdk.entry.SharkGameInfo;

import java.util.List;

public class DemoApp extends Application {

    public static SharkGameInfo gameInfo;
    public static boolean sharkSplashEnd = false;
    public static DemoApp app;

    private String gameAppId = "925934211";
    private String gameAppKey = "f0d885e735854bdf921721bd09b2d08e";
    private String gameAppSecret = "f0d885e735854bdf921721bd09b2d08e"; // 申请的AppSecret，禁止保存在客户端
    private SharedPreferences sp;

    @Override
    public void onCreate() {
        super.onCreate();
        app = this;

        sp = getSharedPreferences("userAppConfig", Context.MODE_PRIVATE);

        if (hasUserConfig()) {
            gameAppId = sp.getString("appId", gameAppId);
            gameAppKey = sp.getString("appKey", gameAppKey);
            gameAppSecret = sp.getString("appKey", gameAppKey);
        }

        /** SDK initialize */
        gameInfo = new SharkGameInfo();
        gameInfo.setAppId(gameAppId);
        gameInfo.setAppKey(gameAppKey);

        SharkOpenPlatform.init(this, gameInfo, new OnInitProcessListener() {
            @Override
            public void finishInitProcess(List<String> loginMethod, int gameConfig) {
                Log.i("Demo", "init success");
            }

            @Override
            public void onSharkSplashEnd() {//黑鲨闪屏页结束回调，黑鲨闪屏可配，无闪屏也会返回此回调，游戏的闪屏应当在收到此回调之后开始。
                sharkSplashEnd = true; //游戏自己的闪屏处理，可参考SplashActivity的实现
            }
        });
        sharkSplashEnd = true;
    }

    //用户是否配置 appId 与 appKey
    private boolean hasUserConfig() {
        if (TextUtils.isEmpty(sp.getString("appId", null)) ||
                TextUtils.isEmpty(sp.getString("appKey", null))) {
            return false;
        } else {
            return true;
        }
    }

    public String getGameAppSecret() {
        return gameAppSecret;
    }
}
