package com.blackshark.gamecenter.sdk.demo.shark;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;

public class SplashActivity extends Activity {
    private static final int CHECK_INTERVAL_MS = 200;
    private static final int SPLASH_TIME_MS = 2 * 1000;

    private static final int MSG_CHECK_SHARK_SPLASH = 1000;
    private static final int MSG_FINISH_MY_SPLASH = 2000;

    private class SplashHandler extends Handler {

        @Override
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            switch (msg.what) {
                case MSG_CHECK_SHARK_SPLASH:
                    if (application != null) {
                        if (application.sharkSplashEnd) {
                            sendEmptyMessageDelayed(MSG_FINISH_MY_SPLASH, SPLASH_TIME_MS);
                        } else {
                            sendEmptyMessageDelayed(MSG_CHECK_SHARK_SPLASH, CHECK_INTERVAL_MS);
                        }
                    } else {
                        sendEmptyMessageDelayed(MSG_FINISH_MY_SPLASH, SPLASH_TIME_MS);
                    }
                    break;
                case MSG_FINISH_MY_SPLASH: {
                    Intent intent = new Intent(SplashActivity.this, MainActivity.class);
                    startActivity(intent);
                    finish();
                }
                break;
            }
        }
    }

    private SplashHandler mHandler = new SplashHandler();


    private DemoApp application = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);
        application = (DemoApp) getApplication();
        mHandler.sendEmptyMessage(MSG_CHECK_SHARK_SPLASH);

    }
}
