# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

##-----------------basic------------------#
-optimizationpasses 5
-printmapping proguardMapping.txt
-optimizations !code/simplification/cast,!field/*,!class/merging/*
-keepattributes *Annotation*,Signature,InnerClasses,EnclosingMethod
-keepattributes SourceFile,LineNumberTable
-keepattributes *JavascriptInterface*
-dontskipnonpubliclibraryclasses
-dontskipnonpubliclibraryclassmembers
-ignorewarnings
-dontoptimize
-dontpreverify
-allowaccessmodification
-dontshrink
#关闭压缩

#-----------------keep------
-dontwarn android.**
-dontwarn com.google.**
-keep class android.** {*;}
-keep class com.google.** {*;}
-keep class com.android.** {*;}
-keep class android.support.** {*;}

-keep public class * extends android.app.Activity
-keep public class * extends android.app.Application
-keep public class * extends android.app.Service
-keep public class * extends android.content.BroadcastReceiver
-keep public class * extends android.content.ContentProvider
-keep public class * extends android.app.backup.BackupAgentHelper
-keep public class * extends android.preference.Preference
-keep public class * extends android.view.View
-keep public class com.android.vending.licensing.ILicensingService

-keepclassmembers class * {
    @android.webkit.JavascriptInterface <methods>;
}

-keepclasseswithmembernames class * {
    native <methods>;
}

-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

-keep public class * extends android.view.View{
    *** get*();
    void set*(***);
    public <init>(android.content.Context);
    public <init>(android.content.Context, android.util.AttributeSet);
    public <init>(android.content.Context, android.util.AttributeSet, int);
}

-keepclassmembers class * extends android.app.Activity {
    public void *(android.view.View);
}

# Parcelable
-keepclassmembers class * implements android.os.Parcelable {
    public static final android.os.Parcelable$Creator CREATOR;
}

# Serializable
-keepnames class * implements java.io.Serializable
-keepclassmembers class * implements java.io.Serializable {
    static final long serialVersionUID;
    private static final java.io.ObjectStreamField[] serialPersistentFields;
    !static !transient <fields>;
    !private <fields>;
    !private <methods>;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

-keepclassmembers class **.R$* {
    public static <fields>;
}

-keepclassmembers class * implements java.lang.Runnable {
    public void run();
}

-dontwarn android.support.**

-dontnote junit.framework.**
-dontnote junit.runner.**
-dontwarn android.test.**
-dontwarn androidx.test.**
-dontwarn android.support.test.**
-dontwarn org.junit.**

# 保留keep注解
-keep,allowobfuscation @interface androidx.annotation.Keep
-keep @androidx.annotation.Keep class * {
    public <methods>;
    protected <methods>;
}
-keepclassmembers class * {
    @androidx.annotation.Keep *;
}
-keep,allowobfuscation @interface android.support.annotation.Keep
-keep @android.support.annotation.Keep class * {
    public <methods>;
    protected <methods>;
}
-keepclassmembers class * {
    @android.support.annotation.Keep *;
}

# 保留aidl相关
-keep public class * extends android.os.IInterface {
    public <methods>;
    protected <methods>;
    <methods>;
    private <methods>;
}

# LIBRARY --> sdk
# 已混淆jar
-libraryjars "libs\alipaysdk-15.8.06.211122170115.jar"
-libraryjars "libs\analytics_release-2.1.12.aar"
-libraryjars "libs\shark_sdk.jar"
# 未混淆jar
# -libraryjars "libs\zxing-3.1.0.jar"

#-----------------sdk------------#
# shark_sdk.jar

# LIBRARY --> sdkSrc
-keep class com.blackshark.*.*.** {*;}
-keep class com.blackshark.gamecenter.*.** {*;}
-keep class com.blackshark.floatview.*.** {*;}
-keep class com.blackshark.gamesdkapp.*.** {*;}
-keep class com.blackshark.popupwindow.*.** {*;}
-keep class com.blackshark.gamecenter.sdk.sharklink.SharkLinkAccount {*;}

# Alipay SDK
-keep class com.alipay.android.app.IAlixPay{*;}
-keep class com.alipay.android.app.IAlixPay$Stub{*;}
-keep class com.alipay.android.app.IRemoteServiceCallback{*;}
-keep class com.alipay.android.app.IRemoteServiceCallback$Stub{*;}
-keep class com.alipay.sdk.app.PayTask{ public *;}
-keep class com.alipay.sdk.app.AuthTask{ public *;}
-keep class com.alipay.sdk.app.H5PayCallback {
    <fields>;
    <methods>;
}
-keep class com.alipay.android.phone.mrpc.core.** { *; }
-keep class com.alipay.apmobilesecuritysdk.** { *; }
-keep class com.alipay.mobile.framework.service.annotation.** { *; }
-keep class com.alipay.mobilesecuritysdk.face.** { *; }
-keep class com.alipay.tscenter.biz.rpc.** { *; }
-keep class org.json.alipay.** { *; }
-keep class com.alipay.tscenter.** { *; }
-keep class com.ta.utdid2.** { *;}
-keep class com.ut.device.** { *;}

-dontwarn com.ta.utdid2.**
-dontwarn com.ut.device.**

-dontwarn com.alipay.mobilesecuritysdk.**
-dontwarn com.alipay.security.**

-dontwarn android.net.SSLCertificateSocketFactory

# 用户使用资源
-keep class com.blackshark.gamecenter.sdk.OnInitProcessListener {*;}
-keep class com.blackshark.gamecenter.sdk.OnLoginProcessListener {*;}
-keep class com.blackshark.gamecenter.sdk.OnAuthInfoListener {*;}
-keep class com.blackshark.gamecenter.sdk.OnPayProcessListener {*;}
-keep class com.blackshark.gamecenter.sdk.SharkOpenPlatform {
    public <methods>;
}
-keep class com.blackshark.gamecenter.sdk.ui.ActionTransfer {*;}
-keep class com.blackshark.gamecenter.sdk.ui.ActionTransfer$DataAction {*;}
-keep class com.blackshark.gamecenter.sdk.ui.ActionTransfer$ActionCallback {*;}